Loading...
Searching...
No Matches
QGpgME::QGpgMEWKSPublishJob Class Reference

`#include <qgpgmewkspublishjob.h>`

Inheritance diagram for QGpgME::QGpgMEWKSPublishJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEWKSPublishJob:
[legend]

## Public Member Functions

| QGpgMEWKSPublishJob (GpgME::Context *context)
void | startCheck (const QString &mailbox) override
void | startCreate (const char *fpr, const QString &mailbox) override
void | startReceive (const QByteArray &response) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< WKSPublishJob, void, std::tuple< GpgME::Error, QByteArray, QByteArray, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< WKSPublishJob, void, std::tuple< GpgME::Error, QByteArray, QByteArray, QString, GpgME::Error > >
typedef ThreadedJobMixin< WKSPublishJob, void, std::tuple< GpgME::Error, QByteArray, QByteArray, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::Error, QByteArray, QByteArray, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::WKSPublishJob
void | result (const GpgME::Error &error, const QByteArray &returnedData, const QByteArray &returnedError, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< WKSPublishJob, void, std::tuple< GpgME::Error, QByteArray, QByteArray, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::WKSPublishJob
| WKSPublishJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

Handles Web Key Service Publishing. Needs WKS tools installed and server support.

## Member Function Documentation

## startCheck()

void QGpgMEWKSPublishJob::startCheck | ( | const QString & | mailbox | ) |

override virtual

Start a check if WKS Publishing is supported. As this involves an HTTP Query it might take a while. Returns GPG_ERR_NOT_SUPPORED result if GnuPG is too old or the required tools are not installed.

The error GPG_ERR_NOT_ENABLED indicates that wks-tools failed to detect a working wks service for this.

Parameters

  the | mailbox to check for.

Implements QGpgME::WKSPublishJob.

## startCreate()

void QGpgMEWKSPublishJob::startCreate | ( | const char * | fpr,
|  | const QString & | mailbox )

override virtual

Create a publish request. The returnedData from the result signal will contain the full Request as returned by gpg-wks-client –create

Parameters

  fpr | the fingerprint of the key to create the request for.
  mailbox | A simple mail address without a Name.

Implements QGpgME::WKSPublishJob.

## startReceive()

void QGpgMEWKSPublishJob::startReceive | ( | const QByteArray & | response | ) |

override virtual

Handle a submission response. The returnedData in the result singnal will contain the confirmation response as returned by gpg-wks-client –receive

Parameters

  response | The response of the server.

Implements QGpgME::WKSPublishJob.

The documentation for this class was generated from the following files:

- qgpgmewkspublishjob.h
- qgpgmewkspublishjob.cpp